import type { FormSchemaGetter } from '#/adapter/form';
import type { VxeGridProps } from '#/adapter/vxe-table';


export const querySchema: FormSchemaGetter = () => [
  {
    component: 'Input',
    fieldName: 'category',
    label: '配置类型',
  },
  {
    component: 'Input',
    fieldName: 'configName',
    label: '配置名称',
  },
  {
    component: 'Textarea',
    fieldName: 'configValue',
    label: '配置值',
  },
  {
    component: 'Input',
    fieldName: 'configDict',
    label: '说明',
  },
  {
    component: 'Input',
    fieldName: 'updateIp',
    label: '更新IP',
  },
];

// 需要使用i18n注意这里要改成getter形式 否则切换语言不会刷新
// export const columns: () => VxeGridProps['columns'] = () => [
export const columns: VxeGridProps['columns'] = [
  { type: 'checkbox', width: 60 },
  {
    title: '主键',
    field: 'id',
  },
  {
    title: '配置类型',
    field: 'category',
  },
  {
    title: '配置名称',
    field: 'configName',
  },
  {
    title: '配置值',
    field: 'configValue',
  },
  {
    title: '说明',
    field: 'configDict',
  },
  {
    title: '备注',
    field: 'remark',
  },
  {
    title: '更新IP',
    field: 'updateIp',
  },
  {
    field: 'action',
    fixed: 'right',
    slots: { default: 'action' },
    title: '操作',
    width: 180,
  },
];

