import type { FormSchemaGetter } from '#/adapter/form';
import type { VxeGridProps } from '#/adapter/vxe-table';


export const querySchema: FormSchemaGetter = () => [
  {
    component: 'Input',
    fieldName: 'userId',
    label: '用户',
  },
  {
    component: 'Input',
    fieldName: 'token',
    label: '待结算token',
  },
  {
    component: 'Input',
    fieldName: 'modelName',
    label: '模型名称',
  },
  {
    component: 'Input',
    fieldName: 'totalToken',
    label: '累计使用token',
  },
];

// 需要使用i18n注意这里要改成getter形式 否则切换语言不会刷新
// export const columns: () => VxeGridProps['columns'] = () => [
export const columns: VxeGridProps['columns'] = [
  { type: 'checkbox', width: 60 },
  {
    title: '主键',
    field: 'id',
  },
  {
    title: '用户',
    field: 'userId',
  },
  {
    title: '待结算token',
    field: 'token',
  },
  {
    title: '模型名称',
    field: 'modelName',
  },
  {
    title: '累计使用token',
    field: 'totalToken',
  },
  {
    field: 'action',
    fixed: 'right',
    slots: { default: 'action' },
    title: '操作',
    width: 180,
  },
];

