export interface InfoVO {
  /**
   * 
   */
  id: string | number;

  /**
   * 知识库ID
   */
  kid: string | number;

  /**
   * 用户ID
   */
  uid: string | number;

  /**
   * 知识库名称
   */
  kname: string;

  /**
   * 是否公开知识库（0 否 1是）
   */
  share: number;

  /**
   * 描述
   */
  description: string;

  /**
   * 知识分隔符
   */
  knowledgeSeparator: string;

  /**
   * 提问分隔符
   */
  questionSeparator: string;

  /**
   * 重叠字符数
   */
  overlapChar: number;

  /**
   * 知识库中检索的条数
   */
  retrieveLimit: number;

  /**
   * 文本块大小
   */
  textBlockSize: number;

  /**
   * 向量库
   */
  vector: string;

  /**
   * 向量模型
   */
  vectorModel: string;

  /**
   * 备注
   */
  remark: string;

}

export interface InfoForm extends BaseEntity {
  /**
   * 
   */
  id?: string | number;

  /**
   * 知识库ID
   */
  kid?: string | number;

  /**
   * 用户ID
   */
  uid?: string | number;

  /**
   * 知识库名称
   */
  kname?: string;

  /**
   * 是否公开知识库（0 否 1是）
   */
  share?: number;

  /**
   * 描述
   */
  description?: string;

  /**
   * 知识分隔符
   */
  knowledgeSeparator?: string;

  /**
   * 提问分隔符
   */
  questionSeparator?: string;

  /**
   * 重叠字符数
   */
  overlapChar?: number;

  /**
   * 知识库中检索的条数
   */
  retrieveLimit?: number;

  /**
   * 文本块大小
   */
  textBlockSize?: number;

  /**
   * 向量库
   */
  vector?: string;

  /**
   * 向量模型
   */
  vectorModel?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface InfoQuery extends PageQuery {
  /**
   * 知识库ID
   */
  kid?: string | number;

  /**
   * 用户ID
   */
  uid?: string | number;

  /**
   * 知识库名称
   */
  kname?: string;

  /**
   * 是否公开知识库（0 否 1是）
   */
  share?: number;

  /**
   * 描述
   */
  description?: string;

  /**
   * 知识分隔符
   */
  knowledgeSeparator?: string;

  /**
   * 提问分隔符
   */
  questionSeparator?: string;

  /**
   * 重叠字符数
   */
  overlapChar?: number;

  /**
   * 知识库中检索的条数
   */
  retrieveLimit?: number;

  /**
   * 文本块大小
   */
  textBlockSize?: number;

  /**
   * 向量库
   */
  vector?: string;

  /**
   * 向量模型
   */
  vectorModel?: string;

}
